<div class="menu-list-content">
    <ng-content *ngIf="(menusLaterais$ | async) !== undefined; else semMenu"></ng-content>

    <mat-list role="list" *ngIf="(menusLaterais$ | async) !== undefined">
      <ng-container *ngFor="let menu of (menusLaterais$ | async)">
        <mat-list-item role="listitem" [value]="menu._id" *ngIf="menu.habilitado">
          <a routerLink="{{menu.link}}" routerLinkActive="active" *ngIf="menu.links_filhos.length === 0">
            <mat-icon mat-list-icon *ngIf="menu.links_filhos.length === 0">{{menu.icon_material}}</mat-icon>
            <div mat-line [ngClass]="{'title-list': menu.links_filhos.length !== 0}">{{menu.titulo}}</div>
          </a>
          <ng-container *ngIf="menu.links_filhos.length !== 0">
            <mat-icon mat-list-icon *ngIf="menu.links_filhos.length === 0">{{menu.icon_material}}</mat-icon>
            <div mat-line [ngClass]="{'title-list': menu.links_filhos.length !== 0}">{{menu.titulo}}</div>
          </ng-container>
        </mat-list-item>

        <mat-list role="list" *ngIf="menu.links_filhos.length !== 0 && menu.habilitado">
          <mat-list-item role="listitem" *ngFor="let menuFilho of menu.links_filhos" [value]="menu._id">
            <a routerLink="{{menuFilho.link}}" [ngClass]="{'active': verifyRouter(menuFilho.link)}">
              <mat-icon mat-list-icon>{{menuFilho.icon_material}}</mat-icon>
              <div mat-line>{{menuFilho.titulo}}</div>
            </a>
          </mat-list-item>
        </mat-list>
      </ng-container>
    </mat-list>

    <ng-template #semMenu>
      <mat-list role="list">
          <mat-list-item role="listitem">
            <div mat-line>Sem itens no menu</div>
          </mat-list-item>
      </mat-list>
    </ng-template>
</div>

